%global modname tashaphyne
%global distname Tashaphyne

Name:				python-%{modname}
Version:			0.2
Release:			12%{?dist}
Summary:			Arabic Light Stemmer and segmenter
Summary(ar):		مقطّع خفيف في العربية
Group:				Applications/Publishing
License:			GPLv2 and BSD
URL:				https://pypi.python.org/pypi/%{distname}
Source:				https://pypi.python.org/packages/source/T/%{distname}/%{distname}-%{version}.zip
BuildArch:			noarch
BuildRequires:		python2-devel
BuildRequires:		python2-setuptools

%global _description\
Arabic language text Stemmer and segmenter to be used by Python.

%global _description_ar\
أداة تقطيع في اللّغة العربية للاستخدام ضمن بيئة بيثون.

%description %_description
%description -l ar %_description_ar

%package -n python2-%{modname}
Summary:			Arabic Light Stemmer and segmenter
Summary(ar):		مقطّع خفيف في العربية
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname} %_description
%description -n python2-%{modname} -l ar %_description_ar

%prep
%setup -q -n %{distname}-%{version}
#Site of files just for including:
sed -i 's:#!/usr/bin/python::g' %{modname}/{normalize.py,arabic_const.py}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python2-%{modname}
%doc README
%{python2_sitelib}/%{modname}/
%{python2_sitelib}/%{distname}-%{version}*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Aug 10 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2-9
- Python 2 binary package renamed to python2-tashaphyne
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Oct 21 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-3
- EPEL7 build.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Jan 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.2-1
- Initial build.
